Skip to main content
GET
/
beta
/
fixed-term
/
detailed
/
{network}
/
{vaultId}
cURL
curl --request GET \
  --url https://api.vaults.fyi/beta/fixed-term/detailed/{network}/{vaultId} \
  --header 'x-api-key: <api-key>'
{
  "asset": {
    "address": "<string>",
    "assetCaip": "<string>",
    "name": "<string>",
    "symbol": "<string>",
    "decimals": 123,
    "assetGroup": "<string>",
    "assetLogo": "<string>",
    "assetPriceInUsd": "<string>"
  },
  "name": "<string>",
  "protocol": {
    "name": "<string>",
    "product": "<string>",
    "version": "<string>",
    "protocolUrl": "<string>",
    "description": "<string>",
    "protocolLogo": "<string>"
  },
  "lpToken": {
    "address": "<string>",
    "tokenCaip": "<string>",
    "name": "<string>",
    "symbol": "<string>",
    "decimals": 123
  },
  "apy": 123,
  "expiry": 123,
  "tvl": {
    "usd": "<string>",
    "native": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

network
enum<string>
required

Include only vaults with provided network(name or CAIP)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793
vaultId
string
required

Vault id of the vault for which the data will be returned

Response

Default Response

asset
object
required

Underlying asset of the fixed-term vault

name
string
required

Name of the Pendle market

protocol
object
required

Protocol details

lpToken
object
required

LP token details (PT token)

apy
number
required

Implied APY of the Pendle market

expiry
number
required

Expiry timestamp of the market

tvl
object
required

Total value locked in the market